Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.webcontainer
Interface PropertyUpdateProcessor

All Known Implementing Classes:
  BalloonHelpPeer, ButtonPeer, CalculatorPeer, ComboBoxPeer, ContentPanePeer, DateChooserPeer, ExpandableSectionPeer, LabelExPeer, ListComponentPeer, PopUpPeer, RichTextAreaPeer, SliderPeer, SplitPanePeer, TablePeer, TextAreaPeer, TextComponentPeer, TextFieldPeer, TitleBarPeer, UploadSelectPeer, WindowPanePeer

    public interface PropertyUpdateProcessor

An optional interface for `ComponentSynchronizePeer`s that provides the capability to receive DELAYED notification of state updates from the client. The delayed state notifications will be provided to the server when a state change occurs to a component which requires immediate notification. The delayed state notifications will be provided to the application before the immediate notification, though they will be processed in no particular order. This interface must be implemented by any component that creates "EchoPropertyUpdate" message parts on the client in a ClientMessage.

See Also:
  `ActionProcessor`

Field Summary
`static java.lang.String` | `PROPERTY_NAME` The attribute name of XML 'property' elements that specifies the name of the property.
`static java.lang.String` | `PROPERTY_VALUE` The attribute name of XML 'property' elements that specifies the value of the property.

Method Summary
`void` | `processPropertyUpdate(ContainerInstance ci, Component component, org.w3c.dom.Element propertyElement)` Notifies the `ComponentSynchronizePeer` that a client property update has occurred.

Field Detail

### PROPERTY_NAME

    static final java.lang.String PROPERTY_NAME

  The attribute name of XML 'property' elements that specifies the name of the property.

  See Also:
    Constant Field Values

### PROPERTY_VALUE

    static final java.lang.String PROPERTY_VALUE

  The attribute name of XML 'property' elements that specifies the value of the property. Property elements may instead pass property data in child XML elements, and in such cases should not have a 'value' attribute.

  See Also:
    Constant Field Values

Method Detail

### processPropertyUpdate

    void processPropertyUpdate(ContainerInstance ci,
                               Component component,
                               org.w3c.dom.Element propertyElement)

  Notifies the `ComponentSynchronizePeer` that a client property update has occurred.

  Parameters:
    `ci` - the relevant `ContainerInstance`
    `component` - the target `Component`
    `propertyElement` - the XML element describing the property update (the name and value of the changed property may be obtained by querying the `PROPERTY_NAME` and `PROPERTY_VALUE` attribute values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD